// src/sleep/standby.rs

pub fn enter_shutdown() -> ! {
    unsafe extern "C" {
        fn HAL_PWREx_EnterSHUTDOWNMode();
    }

    unsafe {
        HAL_PWREx_EnterSHUTDOWNMode();
    }

    cortex_m::asm::udf(); //panic
}
